Summary: The Multi Router Traffic Grapher
Name: mrtg
Version: 2.15.2
Release: 1tr 
License: GPL
Group: Trustix Official
Url: http://oss.oetiker.ch/mrtg/ 
Source0: http://oss.oetiker.ch/mrtg/pub/%{name}-%{version}.tar.gz
Source1: mrtg.init
Source2: mrtg.conf.sample
Source3: mrtg.sysconf
Source4: mrtg.logrotate
Source5: mrtg-httpd.conf
Source6: filter-requires-mrtg.sh
Patch0: mrtg-2.12.2-trustixpathfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgd-devel perl
Requires: libgd perl
PreReq: chkconfig shadow-utils

%define __perl_requires %{SOURCE6}

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network links.  MRTG generates HTML pages containing PNG images
which provide a LIVE visual representation of this traffic.
Check http://www.stat.ee.ethz.ch/mrtg/ to see what it does.

%prep
%setup0 -q
%patch0 -p1


%build
%configure
make
find contrib -type f -exec \
	%{__perl} -e 's,^#!/\s*\S*perl\S*,#!%{__perl},gi' -p -i \{\} \;
find contrib -name "*.pl" -exec %{__perl} -e 's;\015;;gi' -p -i \{\} \;
find contrib -type f | xargs chmod a-x


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

# install initscript and sample config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{init.d,mrtg,sysconfig,logrotate.d}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/init.d/mrtgd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/mrtg/mrtg.conf
install -m 755 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mrtg
install -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/mrtg
install -m 644 %SOURCE5 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/httpd-mrtg.conf

mkdir -p $RPM_BUILD_ROOT/home/httpd/sites/mrtg/images
mkdir -p $RPM_BUILD_ROOT/var/lib/mrtg
mkdir -p $RPM_BUILD_ROOT/var/lock/mrtg
mkdir -p $RPM_BUILD_ROOT/var/log/mrtg
mkdir -p $RPM_BUILD_ROOT/var/run/mrtg

for i in mrtg cfgmaker indexmaker; do
	%{__perl} -pi -e 's;\@\@lib\@\@;%{_lib};g' $RPM_BUILD_ROOT%{_bindir}/$i
done

%pre
if ! getent group mrtg >/dev/null; then
  groupadd -r -g 114  mrtg
fi
if ! getent passwd mrtg >/dev/null; then
  useradd -g mrtg -M -u 114 mrtg
fi

%post
chkconfig --add mrtgd
if [ "$1" = "2" ]; then
	/sbin/restart_maybe mrtgd
fi

# Shifting mrtg html to new location
OLDLOC=/home/mrtg
NEWLOC=/home/httpd/sites/mrtg/
if [ -d $OLDLOC  ]; then
	cp -ar $OLDLOC/* $NEWLOC
	rm -rf $OLDLOC
   # to run the indexmaker in mrtg.init		
	rm -f $NEWLOC/index.html 
fi

%preun
if [ "$1" = "0" ]; then
        service mrtgd stop
        chkconfig --del mrtgd
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc contrib COPYING COPYRIGHT README CHANGES THANKS doc/*.pod doc/*.txt doc/*.png
%config(noreplace) %{_sysconfdir}/mrtg/mrtg.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/mrtg
%config(noreplace) %{_sysconfdir}/sysconfig/mrtg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/httpd-mrtg.conf
%dir %{_sysconfdir}/mrtg
%attr(0755,mrtg,mrtg) /home/httpd/sites/mrtg
%attr(0700,mrtg,mrtg) /var/lib/mrtg
%attr(0700,mrtg,mrtg) /var/run/mrtg
%attr(0770,mrtg,syslog) /var/log/mrtg
%attr(0770,mrtg,mrtg) /var/lock/mrtg
%{_initdir}/mrtgd
%{_bindir}/mrtg
%{_bindir}/cfgmaker
%{_bindir}/indexmaker
%{_bindir}/rateup
%{_bindir}/mrtg-traffic-sum
%{_libdir}/mrtg2/*.pm
%{_datadir}/mrtg2
%{_mandir}/man1/*
%exclude %{_datadir}/doc/mrtg2
%exclude %{_libdir}/mrtg2/Pod/

%changelog
* Thu May 24 2007 Nived Gopalan <nived at trustix dot org> 2.15.2-1tr
- New Upstream.

* Tue Apr 24 2007 Nived Gopalan <nived at trustix dot org> 2.15.1-1tr
- New Upstream.
- Include contrib directory in docs.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Dec 13 2006 Nived Gopalan <nived at trustix dot org> 2.15.0-1tr
- New Upstream.

* Fri Jun 16 2006 Bipin S <bipin at trustix dot org> 2.14.3-1tr
- Initial version for TSL-3.0.5

* Mon May 29 2006 Nived Gopalan <nived at trustix dot org> 2.12.1-13tr
- Merged Options directive in httpd-mrtg.conf, Bug #1744.

* Tue Apr 18 2006 Bipin S <bipin at trustix dot org> 2.12.1-12tr
- Changed default memory entry in config. Bug #1693.

* Mon Dec 19 2005 Nived Gopalan <nived at trustix dot org> 2.12.1-11tr
- Remove included version of PodParser files.

* Thu Dec 01 2005 Bipin S <bipin at trustix dot org> 2.12.2-10tr
- Added AddOutputFilter and Options Includes in mrtg.conf. 
- Fixed Bug #1446.

* Wed Sep 21 2005 Erlend Midttun <erlendbm at trustix dot org> 2.12.2-9tr
- Now PreReq: chkconfig shadow-utils

* Thu Sep 15 2005 Erlend Midttun <erlendbm at trustix dot org> 2.12.2-8tr
- Now also count rsync servers.

* Mon Sep  5 2005 Erlend Midttun <erlendbm at trustix dot org> 2.12.2-7tr
- Now also specify TZ in /etc/sysconfig/mrtg.  Bug #1212.

* Thu Sep  1 2005 Erlend Midttun <erlendbm at trustix dot org> 2.12.2-6tr
- Now skip counting of "grep" itself.

* Thu Sep  1 2005 Erlend Midttun <erlendbm at trustix dot org> 2.12.2-5tr
- Separate imagedir.
- Nuke duplicate files in package.
- Also count webservers.
- Also count ftpservers.

* Wed Aug 24 2005 Ajith Thampi <ajith at comodo dot com> 2.12.2-3tr
- Shift site html to new location /home/httpd/sites/mrtg
- new sane defaults to pid, log and lock patched
- new improved init to check for stale pids
- fixed a typo in mrtg sysconfig , Bug #1208
- httpd-mrtg.conf reflects change to new location
	
* Fri Aug 12 2005 Ajith Thampi <ajith at comodo dot com> 2.12.2-2tr
- Added a user/group mrtg
- Fixed the pid location
- Added default sysconfig mrtg
		
* Tue Aug 09 2005 Ajith Thampi <ajith at comodo dot com> 2.12.2-1tr
- Initial Entry into TSL 3.0		
